
declare @uid varchar(50)
declare @idFuncionalidad as int
set @uid=(select uid from seg_usuario where id = 1)


set @idFuncionalidad=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and  [id_funcionalidad]=78 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx')
if not exists(select * from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidad and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Adjuntar Archivos',@idFuncionalidad,5,'','',0,'','','','','adjuntarArchivo',3)
end


set @idFuncionalidad=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and  [id_funcionalidad]=85 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
if not exists(select * from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidad and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Adjuntar Archivos',@idFuncionalidad,5,'','',0,'','','','','adjuntarArchivo',3)
end


set @idFuncionalidad=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=120 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
if not exists(select * from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidad and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Adjuntar Archivos',@idFuncionalidad,5,'','',0,'','','','','adjuntarArchivo',3)
end


set @idFuncionalidad=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=121 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
if not exists(select * from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidad and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Adjuntar Archivos',@idFuncionalidad,5,'','',0,'','','','','adjuntarArchivo',3)
end


set @idFuncionalidad=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=122 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
if not exists(select * from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidad and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Adjuntar Archivos',@idFuncionalidad,5,'','',0,'','','','','adjuntarArchivo',3)
end


set @idFuncionalidad=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=123 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
if not exists(select * from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidad and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Adjuntar Archivos',@idFuncionalidad,5,'','',0,'','','','','adjuntarArchivo',3)
end

set @idFuncionalidad=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=94 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
if not exists(select * from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidad and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Adjuntar Archivos',@idFuncionalidad,5,'','',0,'','','','','adjuntarArchivo',3)
end

set @idFuncionalidad=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=191 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
if not exists(select * from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidad and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Adjuntar Archivos',@idFuncionalidad,5,'','',0,'','','','','adjuntarArchivo',3)
end


set @idFuncionalidad=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=227 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
if not exists(select * from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidad and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Adjuntar Archivos',@idFuncionalidad,5,'','',0,'','','','','adjuntarArchivo',3)
end

set @idFuncionalidad=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=6 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
if not exists(select * from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidad and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Adjuntar Archivos',@idFuncionalidad,5,'','',0,'','','','','adjuntarArchivo',3)
end


set @idFuncionalidad=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=52 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
if not exists(select * from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidad and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Adjuntar Archivos',@idFuncionalidad,5,'','',0,'','','','','adjuntarArchivo',3)
end

set @idFuncionalidad=(select id from  [gui_funcionalidad] where [nombreComando]='archivos' and [id_funcionalidad]=339 and [id_tipoFuncionalidad]=2  and  [url]='/forms/general/formNuevo.aspx' )
if not exists(select * from  [gui_funcionalidad] where [id_funcionalidad]=@idFuncionalidad and [id_tipoFuncionalidad]=5 and [nombreComando]='adjuntarArchivo')
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Adjuntar Archivos',@idFuncionalidad,5,'','',0,'','','','','adjuntarArchivo',3)
end




